Bug 1196049 - [Rhel7.1] After live storage migration on block storage vdsm extends migrated drive using all free space in the vg
Summary: [Rhel7.1] After live storage migration on block storage vdsm extends migrated...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.5.0
Hardware: Unspecified
OS: Linux
urgent
urgent
Target Milestone: ---
: 3.5.1
Assignee: Nir Soffer
QA Contact: Ori Gofen
URL:
Whiteboard: storage
: 1186348 1207269 1211630 (view as bug list)
Depends On: 1176673 1198128
Blocks: 1133890 oVirt_3.5.2_tracker 1193058 1197441
TreeView+ depends on / blocked
 
Reported: 2015-02-25 08:08 UTC by rhev-integ
Modified: 2019-06-13 08:17 UTC (History)
26 users (show)

Fixed In Version: vdsm-4.16.12.1-3.el6ev
Doc Type: Known Issue
Doc Text:
Libvirt 1.2.8 introduced a regression where disk type is converted from "block" to "file" after live storage migration. This breaks the disk extension logic, leading to unwanted extension using all free space in the storage domain. libvirt-daemon-1.2.8-16.el7_1.1 and libvirt-python-1.2.8-6.el7_1.1 fixed this issue by adding a new flag. RHEV-3.5.1 uses the new flag when available, fixing this issue; however, the fix in RHEV-3.5.1 is effective only when using fixed versions of libvirt-daemon and libvirt-python. Do not perform live storage migration on block storage in RHEL 7.1 unless you have the fixed version of libvirt-daemon (libvirt-daemon-1.2.8-16.el7_1.1) and libvirt-python (libvirt-python-1.2.8-6.el7_1.1). These versions should be available as a zero-day async release with RHEL 7.1.
Clone Of: 1176673
Environment:
Last Closed: 2015-04-28 18:51:57 UTC
oVirt Team: Storage
Target Upstream Version:
ylavi: Triaged+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0904 0 normal SHIPPED_LIVE vdsm 3.5.1 - bug fix and enhancement update 2015-04-28 22:50:53 UTC
oVirt gerrit 37726 0 None None None Never
oVirt gerrit 38018 0 master ABANDONED virt: Trace libvirt domain xml Never
oVirt gerrit 38086 0 None None None Never
oVirt gerrit 38087 0 None None None Never
oVirt gerrit 38088 0 ovirt-3.5 ABANDONED virt: Fix limit when calculating next volume size Never
oVirt gerrit 38142 0 master MERGED vm: Fix LSM when using libvirt >= 1.2.8 Never
oVirt gerrit 38201 0 ovirt-3.5 MERGED vm: Fix LSM when using libvirt >= 1.2.8 Never
oVirt gerrit 39670 0 ovirt-3.5 MERGED spec: Simplify libvirt dependencies Never
oVirt gerrit 39671 0 ovirt-3.5 MERGED spec: Update libvirt-daemon and libvirt-python requirements Never

Comment 1 Eyal Edri 2015-02-25 08:59:39 UTC
this bugs weren't included in the 3.5.1 tracker, hence not marked as critical to the version. 3.5.1 was done and already has a high number of bugs, so postponing this to 3.5.2

Comment 3 Ori Gofen 2015-03-25 12:51:08 UTC
verified on vt14.1

Comment 4 Carlos Mestre González 2015-04-02 10:43:22 UTC
*** Bug 1186348 has been marked as a duplicate of this bug. ***

Comment 5 Nir Soffer 2015-04-02 17:52:58 UTC
*** Bug 1207269 has been marked as a duplicate of this bug. ***

Comment 6 Adam Litke 2015-04-15 13:43:16 UTC
*** Bug 1211630 has been marked as a duplicate of this bug. ***

Comment 8 errata-xmlrpc 2015-04-28 18:51:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0904.html


Note You need to log in before you can comment on or make changes to this bug.